Skip to main content

List all links

Returns a list of your links. The links are returned sorted by creation date, with the most recently created links appearing first.

Parameters​

state
enum
The state of links to return. The default is active. One of all, active, archived.
title
string
The title to search for.

Returns​

Return a paginated response that contains an array of up to the specified limit of links.

get
/api/links
curl https://{workspace}.kitchen.co/api/links \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"archived_at": null,
"created_at": "2024-03-12T12:54:41+00:00",
"id": "pe_12b3c33d7f42bcbd1b373ff9",
"title": "The link title",
"description": null,
"updated_at": "2024-03-12T12:54:41+00:00",
"url": "https://example.com",
"visibility": "internal"
}
],
"links": {
"first": "/api/links?page=1",
"last": "/api/links?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/links?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/links",
"per_page": 20,
"to": 1,
"total": 1
}
}